Subject: guix environment -CN: Operation not permitted mounting host's /var/run/nscd

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Mon, 28 Oct 2019 13:27:41 -0400

Hi!  While using Guix commit `c9fc03a3` on Debian unstable, whenever I run
`guix environment -CN` (either as a normal user or as root) I get an error
like this:

    guix environment: error: mount: mount "/var/run/nscd" on "/tmp/guix-directory.6kBgXe//var/run/nscd": Operation not permitted

nscd is installed and working in my host machine.

This command used to work a while ago.  Actually, I pulled the Guix commit
right before `5ccec771` ("file-systems: Add /var/run/nscd to
'%network-file-mappings'.") and the command seems to work again (even if I do
not replace the running daemon).

Maybe the later commit introduced some kind of regression?

Thanks and cheers!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/